# Catgirl Cooking

catgirl.cooking is a simple & open-source website for sharing recipes!

It features a simple, accessible, and static frontend site, which has a list of recipes, tags, and individual pages for each recipe.
It also features an RSS feed to subscribe to new recipes.

Eventually, you'll be able to submit new recipes with just a simple HTML form.

The backend is written fully in Rust, it handles the recipes, submissions, and webpage generation.
The database used is [sled](https://sled.rs), which is stored in `$HOME/.local/share/catgirl-cooking`
The pages are served with [Rocket](https://rocket.rs), with plain HTTP, so it's reccomended to use a reverse proxy such as nginx.

There are probably a lot of problems with it, so don't use it for anything important. I just created it for fun,
and because the only other alternative was made by a nazi.

The code is licensed under the CNPLv7+, and all recipes are under Public Domain.

## TODO:
- [x] Implement basic website generation
- [x] Store tags & recipes in database.
- [x] Serve pages from Rocket
- [x] Generate RSS feed for recipes
- [ ] Allow submission of new recipes
	- [x] HTML form for submission
	- [ ] Parse submission data into struct
	- [ ] Deal with errors in submission
	- [ ] Add ability for admin(s) to remove submissions
